Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1057148

Summary: [RFE] anamon should monitor and upload also anaconda-tb files
Product: [Community] Beaker Reporter: Marian Ganisin <mganisin>
Component: lab controllerAssignee: Amit Saha <asaha>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: developCC: aigao, asaha, bpeck, dcallagh, ebaak, jburke, jstancek, llim, qwan, rmancy, xjia
Target Milestone: 0.15.4Keywords: FutureFeature, Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-18 01:38:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch none

Description Marian Ganisin 2014-01-23 14:17:56 UTC
Created attachment 854415 [details]
patch

Description of problem:
In case of traceback in the installer anaconda stores all the important information in /tmp/anaconda-tb-* file. It is highly desirable to upload also this file to the server.

The attached patch is example of possible implementation (though totally untested).

Comment 2 Dan Callaghan 2014-01-23 23:24:01 UTC
Thanks for this patch, Marian.

Unfortunately anamon has to be compatible back to Python 2.2 so we can't use list comprehensions, so the patch will need some tweaking. But it's a great start.

Comment 3 Amit Saha 2014-02-04 11:02:16 UTC
Am I missing something to think that this patch will work too: http://paste.fedoraproject.org/74225/91511605/  ?

Comment 4 Amit Saha 2014-02-04 11:04:58 UTC
(In reply to Amit Saha from comment #3)
> Am I missing something to think that this patch will work too:
> http://paste.fedoraproject.org/74225/91511605/  ?


Missed the second paramater: http://paste.fedoraproject.org/74229/91511867/

Comment 5 Marian Ganisin 2014-02-04 11:27:21 UTC
(In reply to Amit Saha from comment #3)
> Am I missing something to think that this patch will work too:
> http://paste.fedoraproject.org/74225/91511605/  ?

/tmp/anaconda-tb-* does not exist at a time of execution of these lines, nothing will be added to default_watchlist, nothing will be monitored/uploaded.

Comment 6 Amit Saha 2014-02-04 12:03:20 UTC
(In reply to Marian Ganisin from comment #5)
> (In reply to Amit Saha from comment #3)
> > Am I missing something to think that this patch will work too:
> > http://paste.fedoraproject.org/74225/91511605/  ?
> 
> /tmp/anaconda-tb-* does not exist at a time of execution of these lines,
> nothing will be added to default_watchlist, nothing will be
> monitored/uploaded.

Ah, that's right.

Comment 7 Amit Saha 2014-02-05 02:20:51 UTC
(In reply to Marian Ganisin from comment #5)
> (In reply to Amit Saha from comment #3)
> > Am I missing something to think that this patch will work too:
> > http://paste.fedoraproject.org/74225/91511605/  ?
> 
> /tmp/anaconda-tb-* does not exist at a time of execution of these lines,
> nothing will be added to default_watchlist, nothing will be
> monitored/uploaded.

Okay, I think this should work: http://gerrit.beaker-project.org/#/c/2774/

I ran a basic test by manually creating anaconda-tb-* files in /tmp and I can see that it uploads the logs.

Comment 8 Marian Ganisin 2014-02-05 08:38:00 UTC
(In reply to Amit Saha from comment #7)
> Okay, I think this should work: http://gerrit.beaker-project.org/#/c/2774/

Why added to waitlist? Generally anaconda-tb-* can be created at any time, even prior to alog.seen or sysimage.stable.

Add it to watchlist directly.

Comment 9 Amit Saha 2014-02-05 20:21:51 UTC
Marian, we are using the POST flag for patches in progress. 

I think I see your point, I will think about it.

Comment 11 Marian Ganisin 2014-02-06 11:53:37 UTC
(In reply to Amit Saha from comment #9)
> Marian, we are using the POST flag for patches in progress. 
> 
> I think I see your point, I will think about it.

I'm afraid thinking isn't enough. Please do it!

Comment 12 Amit Saha 2014-02-06 12:00:51 UTC
(In reply to Marian Ganisin from comment #11)
> (In reply to Amit Saha from comment #9)
> > Marian, we are using the POST flag for patches in progress. 
> > 
> > I think I see your point, I will think about it.
> 
> I'm afraid thinking isn't enough. Please do it!

I think this implements what you were suggesting: http://gerrit.beaker-project.org/#/c/2774/5/LabController/aux/anamon

Let me know if you see something missing. Also, you can see the results of this change in the job link above.

Comment 15 Dan Callaghan 2014-02-18 01:38:43 UTC
Beaker 0.15.4 has been released.